import { MystiqueManifestFragment } from 'mystique/types/manifest';

export const manifest: MystiqueManifestFragment = {
  manifestVersion: '2.0',
  routes: [
    {
      type: 'section',
      nav: {
        label: 'Standalone Features',
        icon: 'insert_chart',
      },
      pages: [
        {
          type: 'page',
          path: 'feature/EditCustomer',
          component: 'fc.page',
          nav: {
            label: 'Edit Customer',
            icon: 'face',
          },
          props: {
            title: 'Edit Customer Action Showcase',
            actions: {
              secondary: [
                {
                  type: 'mutation',
                  label: 'Edit Customer',
                  name: 'updateCustomer',
                  args: {
                    ref: '{{customerById.username}}',
                  },
                  overrides: {
                    title: {
                      sortPrefix: 11,
                    },
                    firstName: {
                      sortPrefix: 12,
                    },
                    lastName: {
                      sortPrefix: 13,
                    },
                    primaryEmail: {
                      sortPrefix: 14,
                    },
                    primaryPhone: {
                      sortPrefix: 15,
                    },
                    department: {
                      sortPrefix: 16,
                    },
                    country: {
                      sortPrefix: 17,
                      component: 'settingBaseStringSelector',
                      extensions: {
                        settingName: 'EDIT_LOCATION_COUNTRIES',
                      },
                    },
                    timezone: {
                      sortPrefix: 18,
                      component: 'settingBaseStringSelector',
                      extensions: {
                        settingName: 'EDIT_LOCATION_TIME_ZONES',
                      },
                    },
                    promotionOptIn: {
                      component: 'booleanSelector',
                      sortPrefix: 19,
                    },
                    retailer: {
                      component: 'retailerSelector',
                      sortPrefix: 20,
                    },
                    attributes: {
                      sortPrefix: 21,
                    },
                    username: {
                      sortPrefix: 22,
                      component: 'input',
                      options: [
                        {
                          label: 'Current Username',
                          value: '{{customerById.username}}',
                        },
                      ],
                    },
                  },
                },
              ],
            },
          },
        },
      ],
    },
  ],
};
